Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.benchmark.config.blueprint
Enum SolverBenchmarkBluePrintType

    java.lang.Object
      java.lang.Enum<SolverBenchmarkBluePrintType>
          org.optaplanner.benchmark.config.blueprint.SolverBenchmarkBluePrintType

All Implemented Interfaces:
  Serializable, Comparable<SolverBenchmarkBluePrintType>

    public enum SolverBenchmarkBluePrintType

extends Enum<SolverBenchmarkBluePrintType>

Enum Constant Summary
`ALL_CONSTRUCTION_HEURISTIC_TYPES`

Method Summary
`static SolverBenchmarkBluePrintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolverBenchmarkBluePrintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_CONSTRUCTION_HEURISTIC_TYPES

    public static final SolverBenchmarkBluePrintType ALL_CONSTRUCTION_HEURISTIC_TYPES

See Also:
  `ConstructionHeuristicType`

Method Detail

### values

    public static SolverBenchmarkBluePrintType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SolverBenchmarkBluePrintType c : SolverBenchmarkBluePrintType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SolverBenchmarkBluePrintType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.